Product performance
GET
/v1/report-product-performance-table
const url = 'https://api-admin.billz.ai/v1/report-product-performance-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d&page=1&limit=10&order_by=%2Bproduct_name¤cy=UZS&group_without_shop=false&group_with_supplier=false';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/report-product-performance-table?start_date=2026-08-01&end_date=2026-08-31&shop_ids=fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6%2C92302dfb-fa33-4e6a-8d19-87214852b25d&page=1&limit=10&order_by=%2Bproduct_name¤cy=UZS&group_without_shop=false&group_with_supplier=false' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Error codes: 400 — input validation error; 404 — object not found; 401, 403, 429, 500 — shared by all methods. Body formats and semantics: Response codes and errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”start_date
string format: date
Example
2026-08-01Empty → today; format YYYY-MM-DD, without time
end_date
string format: date
Example
2026-08-31Empty → start_date+1 day; otherwise end_date+1 day; format YYYY-MM-DD, without time
shop_ids
Array<string>
Each element must be a UUID, otherwise 400
Example
[ "fbfb9d6c-cbb2-43ab-8c90-e97d2eeb34d6", "92302dfb-fa33-4e6a-8d19-87214852b25d"]page
integer format: int32
Example
1limit
integer format: int32
Example
10order_by
string
Sign sets the direction
currency
string
By default UZS
Example
UZSgrouping_fields
string
group_without_shop
boolean
String true
group_with_supplier
boolean
String true
filter
string
sort_field
string
sort_direction
string
Header Parameters
Section titled “Header Parameters”platform-id
string
Platform identifier. A static value is used for integrations.
Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
table_data
Array<object>
object
rep_date
string
company_id
string
shop_id
string
shop_name
string
product_id
string
product_type_id
string
brand_id
string
brand_name
string
name
string
sku
string
bar_code
string
properties
Array<object>
object
is_variative
integer
measurement_value
number
measurement_unit_id
string
measurement_unit_name
string
measurement_unit_short_name
string
retail_price
number
retail_currency
string
supply_price
number
supply_currency
string
category
Array
categories_path
Array<string>
level_1
Array<string>
level_2
Array<string>
level_3
Array<string>
level_4
Array<string>
level_5
Array<string>
attributes
Array
custom_fields
Array<object>
object
is_archived
boolean
group_category
string
group_custom_field
object
custom_field_name
string
custom_field_id
string
custom_field_value
string
group_attribute
object
id
string
attribute_id
string
attribute_name
string
attribute_value_id
string
sequence_number
integer
name
string
supplier_id
string
supplier_name
string
stock_amount_begin
number
stock_supply_begin
number
stock_retail_begin
number
stock_supply_sum_begin
number
stock_retail_sum_begin
number
stock_amount_end
number
stock_supply_end
number
stock_retail_end
number
stock_supply_sum_end
number
stock_retail_sum_end
number
import_amount
number
import_supply_price
number
import_retail_price
number
import_supply_sum
number
import_retail_sum
number
order_amount
number
order_supply_price
number
order_retail_price
number
order_supply_sum
number
order_retail_sum
number
inc_transfer_amount
number
inc_transfer_supply_price
number
inc_transfer_retail_price
number
inc_transfer_supply_sum
number
inc_transfer_retail_sum
number
out_transfer_amount
number
out_transfer_supply_price
number
out_transfer_retail_price
number
out_transfer_supply_sum
number
out_transfer_retail_sum
number
sold_amount
number
sold_supply_price
number
sold_retail_price
number
sold_sales_price
number
sold_supply_sum
number
sold_retail_sum
number
sold_sales_sum
number
rounding_amount
number
returned_amount
number
returned_supply_price
number
returned_retail_price
number
returned_sales_price
number
returned_supply_sum
number
returned_retail_sum
number
returned_sales_sum
number
write_off_amount
number
write_off_supply_price
number
write_off_retail_price
number
write_off_supply_sum
number
write_off_retail_sum
number
repricing_amount
number
repricing_supply_sum
number
repricing_retail_sum
number
supplier_order_return_amount
number
supplier_order_return_supply_sum
number
supplier_order_return_retail_sum
number
qty_sellout
integer
sum_sellout
number
day_difference
integer
sellout_in_number
integer
sellout_by_days
integer
count
integer format: int32
grouping_fields
string
group_without_shop
boolean
group_with_supplier
boolean
Examplegenerated
{ "table_data": [ { "rep_date": "example", "company_id": "example", "shop_id": "example", "shop_name": "example", "product_id": "example", "product_type_id": "example", "brand_id": "example", "brand_name": "example", "name": "example", "sku": "example", "bar_code": "example", "properties": [ {} ], "is_variative": 1, "measurement_value": 1, "measurement_unit_id": "example", "measurement_unit_name": "example", "measurement_unit_short_name": "example", "retail_price": 1, "retail_currency": "example", "supply_price": 1, "supply_currency": "example", "category": [ "example" ], "categories_path": [ "example" ], "level_1": [ "example" ], "level_2": [ "example" ], "level_3": [ "example" ], "level_4": [ "example" ], "level_5": [ "example" ], "attributes": [ "example" ], "custom_fields": [ {} ], "is_archived": true, "group_category": "example", "group_custom_field": { "custom_field_name": "example", "custom_field_id": "example", "custom_field_value": "example" }, "group_attribute": { "id": "example", "attribute_id": "example", "attribute_name": "example", "attribute_value_id": "example", "sequence_number": 1, "name": "example" }, "supplier_id": "example", "supplier_name": "example", "stock_amount_begin": 1, "stock_supply_begin": 1, "stock_retail_begin": 1, "stock_supply_sum_begin": 1, "stock_retail_sum_begin": 1, "stock_amount_end": 1, "stock_supply_end": 1, "stock_retail_end": 1, "stock_supply_sum_end": 1, "stock_retail_sum_end": 1, "import_amount": 1, "import_supply_price": 1, "import_retail_price": 1, "import_supply_sum": 1, "import_retail_sum": 1, "order_amount": 1, "order_supply_price": 1, "order_retail_price": 1, "order_supply_sum": 1, "order_retail_sum": 1, "inc_transfer_amount": 1, "inc_transfer_supply_price": 1, "inc_transfer_retail_price": 1, "inc_transfer_supply_sum": 1, "inc_transfer_retail_sum": 1, "out_transfer_amount": 1, "out_transfer_supply_price": 1, "out_transfer_retail_price": 1, "out_transfer_supply_sum": 1, "out_transfer_retail_sum": 1, "sold_amount": 1, "sold_supply_price": 1, "sold_retail_price": 1, "sold_sales_price": 1, "sold_supply_sum": 1, "sold_retail_sum": 1, "sold_sales_sum": 1, "rounding_amount": 1, "returned_amount": 1, "returned_supply_price": 1, "returned_retail_price": 1, "returned_sales_price": 1, "returned_supply_sum": 1, "returned_retail_sum": 1, "returned_sales_sum": 1, "write_off_amount": 1, "write_off_supply_price": 1, "write_off_retail_price": 1, "write_off_supply_sum": 1, "write_off_retail_sum": 1, "repricing_amount": 1, "repricing_supply_sum": 1, "repricing_retail_sum": 1, "supplier_order_return_amount": 1, "supplier_order_return_supply_sum": 1, "supplier_order_return_retail_sum": 1, "qty_sellout": 1, "sum_sellout": 1, "day_difference": 1, "sellout_in_number": 1, "sellout_by_days": 1 } ], "count": 1, "grouping_fields": "example", "group_without_shop": true, "group_with_supplier": true}